change in status column field order breaks Phlogiston
Closed, ResolvedPublic

Description

iOS is broken (all missing tables) while others are not; not sure exactly why some projects are affected and not others, but the essential problem is probably related to the status column now having some numbers (looks like priority values) instead of status values, which probably traces back to a changed field position in the JSON dump.

source |        date         |      category      |   status   | points | count |    maint_type     
--------+---------------------+--------------------+------------+--------+-------+-------------------
 ios    | 2015-10-02 00:00:00 | Other              | "25"       |      1 |    11 | 
 ios    | 2015-10-02 00:00:00 | Other              | "open"     |     72 |    65 | New Functionality
 ios    | 2015-10-02 00:00:00 | Other              | "25"       |      0 |    14 | New Functionality

It could be that some projects are completely regenerated and others aren't.

Why is it relying on the positions of the fields?

What are the alternatives?

  1. Map from header rows. Python handles this automatically for CSV, but I don't think the JSON file has header rows. Can you add header rows?
  1. Read a JSON schema. This would be non-trivial for Phlogiston; not sure how much work it is to add and maintain a schema to Chase's script.
  1. ?

Does the json only contain arrays without column names anywhere? That seems odd if that is the case, then json isn't really being utilized very well :(

JAufrecht closed this task as Resolved.Mar 2 2016, 12:09 AM

fix added last week; several automatic runs in a row seem okay

Restricted Application added subscribers: TerraCodes, Urbanecm. · View Herald TranscriptApr 19 2016, 10:49 PM